
package de.fzi.ipe.soboleo.server.soapwebservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.7-b01-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "WebdocumentTagAssignmentService", targetNamespace = "http://soboleo.com")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    ObjectFactory.class
})
public interface WebdocumentTagAssignmentService {


    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.GetTagAssignmentsResponse
     */
    @WebMethod(action = "http://soboleo.com/getTagAssignments")
    @WebResult(name = "getTagAssignmentsResponse", targetNamespace = "http://soboleo.com/tagAssignment", partName = "parameters")
    public GetTagAssignmentsResponse getTagAssignments(
        @WebParam(name = "getTagAssignmentsRequest", targetNamespace = "http://soboleo.com/tagAssignment", partName = "parameters")
        GetTagAssignmentsRequest parameters);

    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.CreateTagAssignmentResponse
     */
    @WebMethod(action = "http://soboleo.com/createTagAssignment")
    @WebResult(name = "createTagAssignmentResponse", targetNamespace = "http://soboleo.com/tagAssignment", partName = "parameters")
    public CreateTagAssignmentResponse createTagAssignment(
        @WebParam(name = "createTagAssignmentRequest", targetNamespace = "http://soboleo.com/tagAssignment", partName = "parameters")
        CreateTagAssignmentRequest parameters);

    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.GetAssignedTagsByFrequencyResponse
     */
    @WebMethod(action = "http://soboleo.com/getAssignedTagsByFrequency")
    @WebResult(name = "getAssignedTagsByFrequencyResponse", targetNamespace = "http://soboleo.com/tagAssignment", partName = "parameters")
    public GetAssignedTagsByFrequencyResponse getAssignedTagsByFrequency(
        @WebParam(name = "getAssignedTagsByFrequencyRequest", targetNamespace = "http://soboleo.com/tagAssignment", partName = "parameters")
        GetAssignedTagsByFrequencyRequest parameters);

}
